package com.atlassian.bitbucket.mesh.management;

import javax.annotation.Nonnull;

import static java.util.Objects.requireNonNull;

public class OpenSidebandParameters {

    private final SidebandSender sender;

    private OpenSidebandParameters(Builder builder) {
        sender = builder.sender;
    }

    @Nonnull
    public SidebandSender getSender() {
        return sender;
    }

    public static class Builder {

        private final SidebandSender sender;

        public Builder(@Nonnull SidebandSender sender) {
            this.sender = requireNonNull(sender, "sender");
        }

        @Nonnull
        public OpenSidebandParameters build() {
            return new OpenSidebandParameters(this);
        }
    }
}
